# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGrow, DXGrowV

Function

Add information from neighboring partitions to a Composite Field.

Syntax
`
#include <dx/dx.h>
`

Object DXGrow(Object object, int n, Pointer fill, ...)
Object DXGrowV(Object object, int n, Pointer fill, char **components)

Functional Details

Recursively add boundary information to each partition of any Composite Fields encountered in `object`.

The depth of overlap is defined by `n`. The treatment of the boundary of the Field is specified by the `fill` parameter: specify `GROW_NONE` for no expansion at the exterior boundary of the entire field; `GROW_REPLICATE` to expand at the exterior boundary by replicating the nearest edge values; `GROW_NOFILL` to expand the exterior boundary by leaving space for the extra data but leaving their value undefined; any other value of `fill` must be a pointer to a data item of the correct type to expand at the boundary. It is used as the fill value. For `DXGrowV`, the `components` Array contains a `NULL`-terminated list of components to be grown; all others remain unaffected. For `DXGrow`, the final arguments after `n` consist of a `NULL`-terminated list of the components to be grown. For each component that is grown, the original component is renamed to "original component" before the grown component is created.

Return Value

Returns the input Object with the overlapping data added or returns `NULL` and sets an error code. If `o` is a field, returns `o` unmodified.

See Also

`DXQueryOriginalSizes, DXQueryOriginalMeshExtents, DXShrink`

14.4 , "Growing and Shrinking Partitioned Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]